> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export objects

> Export Fusion objects as JSON. Omit parameters to export all objects. When you export an app that includes objects that are shared with other apps, then all apps linked to that object are also exported.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-swagger.json get /objects/export
openapi: 3.0.1
info:
  title: Fusion Admin APIs
  description: >-
    These APIs provide general administrative functions for your Fusion
    instance. Use these APIs to manage Fusion objects, App Studio objects,
    connections to Solr clusters, license files, job schedules, and more. You
    can also use them to create a history of service events.
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Apps
    description: >-
      The Apps API manages your Fusion apps. To export or import an app, see the
      Objects API. You can also import an app using the Fusion UI.
  - name: Blobs
    description: >-
      The Blob Store REST API allows storing binary objects in Solr. You can use
      it to store entity extraction models, lookup lists or exclusion lists for
      use in index pipelines. This may include the entity extraction models and
      lookup lists included with Fusion in the `{fusion_path}/data/nlp`
      directory, or files that you have created on your own.
  - name: Collections
    description: >-
      The Collections API manages Fusion collections. It provides endpoints for
      creating, updating, and deleting collection, as well as endpoints for
      getting a collection's status and usage statistics.


      Fusion maintains internal system collections for logs, blobs, and metrics
      data which operate in conjunction with collections created by users. The
      Collections API is used to manage all Fusion collections.
  - name: Configurations
    description: >-
      The Configurations API allows setting global properties for Fusion.


      Some settings are not set by any configuration file but are reported as
      settings from the operating system. Those settings cannot be changed with
      this API.
  - name: CRUD events
    description: Check the status of the CRUD Events service.
  - name: Data models
    description: >-
      These APIs manage data models.


      Data models simplify the process of getting started with Fusion by
      providing pre-configured objects to reduce the effort spent on basic
      starting tasks. This helps keep documents consistent between datasources
      and intuitive to the object's type.
  - name: Features
    description: >-
      The Features API lets you observe the status of features across
      collections.  To manipulate features for a specific collection, use the
      Collections API.
  - name: Groups
    description: >-
      These endpoints show you how your Fusion objects are grouped.  For
      example, you can use this API to see the signals-related jobs and
      collections that are part of a primary collection's group.
  - name: History
    description: >-
      The History API provides information about the services that are running.
      The list of these services is provided by the Introspect API.
  - name: Introspect
    description: >-
      The Fusion Introspect endpoint lists basic information about endpoints and
      parameters for all Fusion endpoints.
  - name: Jobs
    description: >-
      The Jobs API allows you to define schedules for objects that perform work.
      You can schedule datasources, tasks, and Spark jobs.
  - name: License
    description: The License API provides license management features.
  - name: Links
    description: >-
      The Links API manages the links that represent the relationships between
      Fusion objects. You can see these links in the Object Explorer in the
      Fusion UI. You can also export and import links using the Objects API.


      Links are structured as a tuple of (`subject`, `object`, `linkType`). An
      example would be (`foo`, `bar`, `dependsOn`), which would read as "foo
      dependsOn bar".
  - name: Nodes
    description: >-
      The Nodes API lets you check the status of each node in the search
      cluster.
  - name: Objects
    description: >-
      The Objects API lets you import and export objects between Fusion
      instances. Fusion objects include all your searchable data, plus
      pipelines, aggregations, and other configurations on which your
      collections depend.
  - name: Registration
    description: Check the status of the Registration service.
  - name: Scheduler
    description: >-
      Use the Scheduler API to define a schedule for system activities and
      manage the jobs that result from the schedule.  All of the Fusion services
      are available for scheduling, as are any Solr activities and any other
      HTTP-based URI.




      >This API is deprecated in favor of the Jobs API.
  - name: Search cluster
    description: >-
      The Search Cluster API lets you connect Fusion with existing Solr
      instances in a Zookeeper-managed cluster.
  - name: Search logs
    description: The Search Logs API lets you manage a `searchLogs` collection.
  - name: Solr
    description: >-
      The Solr API is used to manage collection-level configurations.


      Since this API proxies requests to Solr, each available method corresponds
      to the method in Solr. So, a `GET` request to Solr would use the `GET`
      method of this endpoint; a `POST` would use the `POST` method, and so on.


      Depending on the request, the response may consist of records that match a
      query or output from a Schema API request.
  - name: Solr Configuration
    description: >-
      The Solr Configuration REST API lets you access and manage Solr
      configuration files stored in ZooKeeper.
  - name: Solr admin
    description: >-
      The Solr Admin API lets you send commands to Solr through Fusion's proxy
      service. This allows you to protect your Solr instances from outside
      connections, and apply roles and user permissions from Fusion when running
      Solr commands. Requests sent to this API are subject to access
      restrictions above the collection level.


      Note that because one `searchCluster` may host several collections, it is
      not recommended to use this with a collection-level command (such as a
      query, or document update).
  - name: Swagger
    description: These endpoints give you details about Fusion's REST API schemas.
  - name: System
    description: The System REST API allows you to monitor the system performance.
  - name: Tasks
    description: >-
      These endpoints let you manage tasks, a flexible job type that can be used
      to clean up old logs or run any REST call.
  - name: Update
    description: Consult Lucidworks before using these endpoints.
  - name: Webapps
    description: Deprecated.
  - name: ZooKeeper
    description: >-
      The ZooKeeper Import/Export API provides methods to upload or download
      information from Fusion's ZooKeeper service. This service provides an
      alternative to the ZooKeeper clients `zkCli.sh` and `zk-shell` which are
      part of the Apache Zookeeper distribution included as part of the Fusion
      distribution.
paths:
  /objects/export:
    get:
      tags:
        - Objects
      summary: Export objects
      description: >-
        Export Fusion objects as JSON. Omit parameters to export all objects.
        When you export an app that includes objects that are shared with other
        apps, then all apps linked to that object are also exported.
      operationId: exportJson
      parameters:
        - name: type
          in: query
          description: >-
            One or more of: `collection`, `index-pipeline`, `query-pipeline`,
            `search-cluster`, `datasource`, `parser`, `group`, `link`, `task`,
            `job`, `spark`, `blob`, `appkit` or `app`.
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - datasource
            - index-pipeline
            - query-pipeline
        - name: type.ids
          in: query
          description: >-
            List the IDs to match for the specified object type, such as
            `datasource.ids=movies_csv-movie`. The `type` and `type.ids`
            parameters can be combined as needed.
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: filterPolicy
          in: query
          description: >-
            One of:


            - `system`: Filter system objects when exporting a particular type
            of object.

            - `none`: Export all objects of that type.
          schema:
            type: string
            default: system
            enum:
              - system
              - none
        - name: deep
          in: query
          description: Set to `true` to include all linked objects.
          schema:
            type: boolean
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportContainer'
components:
  schemas:
    ExportContainer:
      type: object
      properties:
        objects:
          $ref: '#/components/schemas/FusionObjects'
        properties:
          type: array
          items:
            $ref: '#/components/schemas/SubstitutedProperty'
        metadata:
          $ref: '#/components/schemas/Metadata'
    FusionObjects:
      type: object
      properties:
        collections:
          type: array
          items:
            $ref: '#/components/schemas/Collection'
        indexPipelines:
          type: array
          items:
            $ref: '#/components/schemas/IndexPipelineDefinition'
        queryPipelines:
          type: array
          items:
            $ref: '#/components/schemas/QueryPipelineDefinition'
        searchClusters:
          type: array
          items:
            $ref: '#/components/schemas/SearchCluster'
        features:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/Feature'
        indexProfiles:
          type: array
          items:
            $ref: '#/components/schemas/IndexProfile'
        queryProfiles:
          type: array
          items:
            $ref: '#/components/schemas/QueryProfile'
        parsers:
          type: array
          items:
            $ref: '#/components/schemas/ParserConfig'
        objectGroups:
          type: array
          items:
            $ref: '#/components/schemas/ObjectGroup'
        links:
          type: array
          items:
            $ref: '#/components/schemas/Link'
        tasks:
          type: array
          items:
            $ref: '#/components/schemas/Task'
        jobs:
          type: array
          items:
            $ref: '#/components/schemas/JobConfig'
        sparkJobs:
          type: array
          items:
            $ref: '#/components/schemas/SparkJobConfig'
        blobs:
          type: array
          items:
            $ref: '#/components/schemas/Blob'
        experiments:
          type: array
          items:
            $ref: '#/components/schemas/Experiment'
        appkitApps:
          type: array
          items:
            $ref: '#/components/schemas/AppkitAppExportContainer'
        fusionApps:
          type: array
          items:
            $ref: '#/components/schemas/FusionApp'
        customRules:
          type: array
          items:
            $ref: '#/components/schemas/CustomRuleTypeConfig'
        templates:
          type: array
          items:
            $ref: '#/components/schemas/Template'
        zones:
          type: array
          items:
            $ref: '#/components/schemas/Zone'
        subscriptions:
          type: array
          items:
            $ref: '#/components/schemas/Subscription'
        templateSettings:
          type: array
          items:
            $ref: '#/components/schemas/TemplateSettings'
        dataModels:
          type: array
          items:
            $ref: '#/components/schemas/DataModel'
        dataSources:
          type: array
          items:
            $ref: '#/components/schemas/DataSource'
    SubstitutedProperty:
      type: object
      properties:
        id:
          type: string
        schema:
          $ref: '#/components/schemas/Schema'
    Metadata:
      type: object
      properties:
        formatVersion:
          type: string
        exportedBy:
          type: string
        exportedDate:
          type: string
        fusionVersion:
          type: string
        fusionGuid:
          type: string
    Collection:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        createdAt:
          type: string
          format: date-time
        searchClusterId:
          type: string
        autoCommit:
          type: integer
          format: int32
          description: >-
            Solr hard commit inherited from the collection's `solrconfig.xml`
            that is designated as Fusion's default parameter for Solr data
            commits. Number of seconds in which the data is saved, but this
            parameter does not force the search results to refresh immediately.
            With this setting, search performance is not slowed, but the new
            data may not show in search results until the next refresh. Default
            value is 15.
          default: 15
        autoSoftCommit:
          type: boolean
          default: 'false'
          description: >-
            Solr soft commit that does not save the data, but makes the data
            visible to searches almost immediately. If the system crashes, that
            new data is lost because it has not been saved. Default is false,
            and search visibility is managed using the `commitWithin` setting.
        commitWithin:
          type: integer
          format: int32
          description: >-
            Solr's `commitWithin` parameter, configured at the collection level
            with a default of `10000` milliseconds, ensures data is committed
            and available for searching within 10 seconds. The default for
            signals collections is `1000` milliseconds. Fusion uses
            `commitWithin` to avoid relying on specific Solr-side
            configurations. The `com.lucidworks.apollo.solr.commitWithin` global
            property defines the default `commitWithin` for all documents added
            through Fusion. When you create a new collection in Fusion, its
            per-collection `commitWithin` is initialized from this global
            default.
          default: 10000
        features:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Feature'
        compositeIdSpec:
          $ref: '#/components/schemas/CompositeIdSpec'
        solrParams:
          $ref: '#/components/schemas/CreateCollectionCmd'
        modifiedAt:
          type: string
          format: date-time
        type:
          type: string
          enum:
            - DATA
            - LOGS
            - METRICS
            - SIGNALS
            - SIGNALS_AGGREGATION
            - SEARCHLOGS
            - SYNONYMS
            - RECOMMENDATIONS
            - HISTORY
            - BLOBS
            - MESSAGES
            - TAXONOMY
            - CRAWL_DB
            - JOB_HISTORY
            - ARCHIVING
            - AUTOCOMPLETE_DOCUMENTS
            - QUERY_REWRITE
            - USER_PREFS
            - JOB_REPORTS
            - ACL
            - 'NULL'
        relatedCollectionId:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
    IndexPipelineDefinition:
      type: object
      properties:
        id:
          type: string
          readOnly: true
    QueryPipelineDefinition:
      type: object
      properties:
        id:
          type: string
          readOnly: true
    SearchCluster:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        connectString:
          type: string
          readOnly: true
        zkClientTimeout:
          type: integer
          format: int32
          readOnly: true
        zkConnectTimeout:
          type: integer
          format: int32
          readOnly: true
        cloud:
          type: boolean
          readOnly: true
        bufferFlushInterval:
          type: integer
          format: int32
          readOnly: true
        bufferSize:
          type: integer
          format: int32
          readOnly: true
        concurrency:
          type: integer
          format: int32
          readOnly: true
        authConfig:
          $ref: '#/components/schemas/AuthConfig'
        validateCluster:
          type: boolean
    Feature:
      type: object
      properties:
        name:
          type: string
        collectionId:
          type: string
        params:
          type: object
          additionalProperties:
            type: object
            properties: {}
        enabled:
          type: boolean
    IndexProfile:
      type: object
      properties:
        id:
          type: string
          readOnly: true
    QueryProfile:
      type: object
      properties:
        id:
          type: string
          readOnly: true
    ParserConfig:
      type: object
      properties:
        id:
          type: string
          readOnly: true
    ObjectGroup:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        isSystem:
          type: boolean
          readOnly: true
        description:
          type: string
          readOnly: true
    Link:
      type: object
      properties:
        subject:
          $ref: '#/components/schemas/FusionResource'
        object:
          $ref: '#/components/schemas/FusionResource'
        linkType:
          type: string
          description: >-
            Possible link types:


            * `DependsOn` - The subject depends on the object.


            * `Supports` - The subject is depended on by the object (the reverse
            of `dependsOn`).


            * `IsPartOf` - The subject is part of the object, where the object
            is a group.


            * `HasPart` - The subject is a group, of which the object is a
            member (the reverse of `isPartOf`).


            * `RelatesTo` - The subject relates to the object. This is a
            uni-directional relationship that associates two objects that have
            none of the relationships described above.


            * `InContextOf` - The subject exists in the context of the object,
            which is an app.


            * `HasContext` - The subject is an app that contains the object.


            * `Self` - The subject and the object are the same.
          readOnly: true
          enum:
            - dependsOn
            - supports
            - isPartOf
            - hasPart
            - relatesTo
            - inContextOf
            - hasContext
            - self
        originator:
          type: string
          readOnly: true
    Task:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        type:
          type: string
          readOnly: true
      discriminator:
        propertyName: type
    JobConfig:
      type: object
      properties:
        resource:
          type: string
        enabled:
          type: boolean
        triggers:
          type: array
          items:
            $ref: '#/components/schemas/JobTriggerConfig'
        default:
          type: boolean
    SparkJobConfig:
      type: object
      properties:
        id:
          type: string
          readOnly: true
    Blob:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        path:
          type: string
          readOnly: true
        dir:
          type: string
          readOnly: true
        filename:
          type: string
          readOnly: true
        contentType:
          type: string
          readOnly: true
        size:
          type: integer
          format: int64
          readOnly: true
        modifiedTime:
          type: string
          format: date-time
          readOnly: true
        version:
          type: integer
          format: int64
          readOnly: true
        md5:
          type: string
          readOnly: true
        metadata:
          type: object
          additionalProperties:
            type: string
          readOnly: true
    Experiment:
      type: object
      properties:
        id:
          type: string
          readOnly: true
    AppkitAppExportContainer:
      type: object
      properties:
        appkitApp:
          $ref: '#/components/schemas/AppkitApp'
        editingSessions:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/EditingSession'
    FusionApp:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
    CustomRuleTypeConfig:
      type: object
      properties:
        id:
          type: string
          readOnly: true
    Template:
      type: object
      properties:
        id:
          type: string
          readOnly: true
    Zone:
      type: object
      properties:
        id:
          type: string
          readOnly: true
    Subscription:
      type: object
      properties:
        id:
          type: string
          readOnly: true
    TemplateSettings:
      type: object
      properties:
        id:
          type: string
        app:
          type: string
    DataModel:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
        description:
          type: string
        indexPipeline:
          type: string
        queryPipeline:
          type: string
        fields:
          type: array
          items:
            $ref: '#/components/schemas/DataModelField'
    DataSource:
      type: object
      properties:
        id:
          type: string
        created:
          type: string
          format: date-time
        modified:
          type: string
          format: date-time
        connector:
          type: string
        type:
          type: string
        description:
          type: string
        pipeline:
          type: string
        parserId:
          type: string
        properties:
          type: object
          additionalProperties:
            type: object
            properties: {}
          readOnly: true
    Schema:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        description:
          type: string
        hints:
          type: array
          items:
            type: string
    CompositeIdSpec:
      type: object
      properties:
        routeKey1Field:
          type: string
        routeKey1Bits:
          type: integer
          format: int32
        routeKey2Field:
          type: string
        routeKey2Bits:
          type: integer
          format: int32
    CreateCollectionCmd:
      type: object
      properties:
        name:
          type: string
        numShards:
          type: integer
          format: int32
        replicationFactor:
          type: integer
          format: int32
        collection.configName:
          type: string
    AuthConfig:
      type: object
      properties:
        authType:
          type: string
          readOnly: true
          enum:
            - NONE
            - BASIC
            - KERBEROS
        username:
          type: string
          readOnly: true
        password:
          type: string
          readOnly: true
        keyTab:
          type: string
          readOnly: true
        principal:
          type: string
          readOnly: true
    FusionResource:
      anyOf:
        - type: string
          description: Resource reference as a string, such as 'datasource:ratings-db'
        - type: object
          properties:
            type:
              type: string
              enum:
                - APPKIT_APP
                - APP
                - COLLECTION
                - INDEX_PIPELINE
                - QUERY_PIPELINE
                - INDEX_PROFILE
                - QUERY_PROFILE
                - BLOB
                - PARSER
                - DATASOURCE
                - TASK
                - SCHEDULE
                - SEARCH_CLUSTER
                - EXPERIMENT
                - SPARK_JOB
                - GROUP
                - CUSTOM_RULE_TYPE
                - SUBSCRIPTION
                - DATA_MODEL
                - TEMPLATE
                - ZONE
                - TEMPLATE_SETTINGS
                - TYPE
                - RESOURCE
                - 'NULL'
            id:
              type: string
            uri:
              type: string
              format: uri
            canonicalName:
              type: string
          required:
            - type
    JobTriggerConfig:
      type: object
      discriminator:
        propertyName: type
      properties:
        enabled:
          type: boolean
        type:
          type: string
          enum:
            - interval
            - cron
            - job
          x-enumDescriptions:
            interval: Run the job at a regular interval over some time range.
            cron: Run the job on a cron-style schedule.
            job: Run the job after another job succeeds or fails.
        startTime:
          type: string
          format: date-time
          description: >-
            The date and time at which the job will first run (ISO-8601 format).
            Applies to type 'interval'.
        endTime:
          type: string
          format: date-time
          description: >-
            The date and time at which the job will run last (ISO-8601 format).
            Applies to type 'interval'.
        interval:
          type: integer
          description: The interval at which the job will run. Applies to type 'interval'.
        repeatUnit:
          type: string
          enum:
            - minute
            - hour
            - day
          description: The unit for the interval. Applies to type 'interval'.
        value:
          type: string
          description: A cron string that defines the schedule. Applies to type 'cron'.
        jobID:
          type: string
          description: The ID of the job that triggers this one. Applies to type 'job'.
        runOnSuccess:
          type: boolean
          description: >-
            Run this job when the triggering job succeeds. Applies to type
            'job'.
        runOnFailure:
          type: boolean
          description: Run this job when the triggering job fails. Applies to type 'job'.
        runOnAbort:
          type: boolean
          description: >-
            Run this job when the triggering job is aborted. Applies to type
            'job'.
    AppkitApp:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        contextPath:
          type: string
          readOnly: true
        enabled:
          type: boolean
          readOnly: true
        type:
          type: string
        war:
          type: string
          readOnly: true
        warMd5:
          type: string
          readOnly: true
        warSize:
          type: integer
          format: int64
          readOnly: true
    EditingSession:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        owner:
          type: string
          readOnly: true
        createdAt:
          type: string
          format: date-time
          readOnly: true
        version:
          type: string
    DataModelField:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        required:
          type: boolean
          readOnly: true
        mappings:
          type: array
          items:
            $ref: '#/components/schemas/DataModelSolrFieldMapping'
    DataModelSolrFieldMapping:
      type: object
      properties:
        solrField:
          type: string
        queryField:
          type: boolean
        phraseMatch:
          type: boolean
        boostValue:
          type: number
          format: double
        phraseBoost:
          type: number
          format: double

````